You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     l...@freebsd.org
Last committer: anto...@freebsd.org
Ident:          $FreeBSD: head/multimedia/pwcbsd/Makefile 390310 2015-06-22 
18:33:20Z antoine $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p409486_s296014/logs/pwcbsd-1.4.1_12.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p409486_s296014
Log:

====>> Building multimedia/pwcbsd
build started at Fri Feb 26 23:56:42 UTC 2016
port directory: /usr/ports/multimedia/pwcbsd
building for: FreeBSD head-amd64-default-job-06 11.0-CURRENT FreeBSD 
11.0-CURRENT r296014 amd64
maintained by: l...@freebsd.org
Makefile ident:      $FreeBSD: head/multimedia/pwcbsd/Makefile 390310 
2015-06-22 18:33:20Z antoine $
Poudriere version: 3.1.12
Host OSVERSION: 1100097
Jail OSVERSION: 1100099




!!! Jail is newer than host. (Jail: 1100099, Host: 1100097) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 11.0-CURRENT r296014
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=pwcbsd-1.4.1_12
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100099
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for pwcbsd-1.4.1_12:
     MMAP=off: Enable mmap support (MAY CRASH YOUR SYSTEM)
     PROGRAMS=on: Build the programs
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config 
XDG_DATA_HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work  
HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config KMODDIR="/boot/modules" 
SYSDIR="/usr/src/sys" NO_XREF=yes 
XDG_DATA_HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work  
HOME=/wrkdirs/usr/ports/multimedia/pwcbsd/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PROGRAMS=""
KMODDIR="boot/modules"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/pwcbsd"
EXAMPLESDIR="share/examples/pwcbsd"
DATADIR="share/pwcbsd"
WWWDIR="www/pwcbsd"
ETCDIR="etc/pwcbsd"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/pwcbsd
DOCSDIR=/usr/local/share/doc/pwcbsd
EXAMPLESDIR=/usr/local/share/examples/pwcbsd
WWWDIR=/usr/local/www/pwcbsd
ETCDIR=/usr/local/etc/pwcbsd
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   pwcbsd-1.4.1_12 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.4.txz
[head-amd64-default-job-06] Installing pkg-1.6.4...
[head-amd64-default-job-06] Extracting pkg-1.6.4: .......... done
===>   pwcbsd-1.4.1_12 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of pwcbsd-1.4.1_12
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by pwcbsd-1.4.1_12 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by pwcbsd-1.4.1_12 for building
=> SHA256 Checksum OK for pwcbsd-1.4.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by pwcbsd-1.4.1_12 for building
===>  Extracting for pwcbsd-1.4.1_12
=> SHA256 Checksum OK for pwcbsd-1.4.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for pwcbsd-1.4.1_12
===>  Applying extra patch 
/usr/ports/multimedia/pwcbsd/files/extra-patch-Makefile.kld
===>  Applying extra patch 
/usr/ports/multimedia/pwcbsd/files/extra-patch-pwc-ctrl.c
===>  Applying extra patch 
/usr/ports/multimedia/pwcbsd/files/extra-patch-pwc-v4l.c
===>  Applying extra patch /usr/ports/multimedia/pwcbsd/files/extra-patch-pwc.c
===>  Applying extra patch /usr/ports/multimedia/pwcbsd/files/extra-patch-pwc.h
===>  Applying FreeBSD patches for pwcbsd-1.4.1_12
===========================================================================
=======================<phase: build-depends  >============================
===>   pwcbsd-1.4.1_12 depends on file: /usr/local/bin/sdl-config - not found
===>   Installing existing package /packages/All/sdl-1.2.15_7,2.txz
[head-amd64-default-job-06] Installing sdl-1.2.15_7,2...
[head-amd64-default-job-06] `-- Installing libXrender-0.9.9...
[head-amd64-default-job-06] |   `-- Installing xproto-7.0.28...
[head-amd64-default-job-06] |   `-- Extracting xproto-7.0.28: .......... done
[head-amd64-default-job-06] |   `-- Installing renderproto-0.11.1...
[head-amd64-default-job-06] |   `-- Extracting renderproto-0.11.1: .... done
[head-amd64-default-job-06] |   `-- Installing libX11-1.6.3,1...
[head-amd64-default-job-06] |   | `-- Installing kbproto-1.0.7...
[head-amd64-default-job-06] |   | `-- Extracting kbproto-1.0.7: .......... done
[head-amd64-default-job-06] |   | `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-06] |   | `-- Extracting libXdmcp-1.1.2: ......... done
[head-amd64-default-job-06] |   | `-- Installing libxcb-1.11.1...
[head-amd64-default-job-06] |   |   `-- Installing libxml2-2.9.3...
[head-amd64-default-job-06] |   |   `-- Extracting libxml2-2.9.3: .......... 
done
[head-amd64-default-job-06] |   |   `-- Installing libpthread-stubs-0.3_6...
[head-amd64-default-job-06] |   |   `-- Extracting libpthread-stubs-0.3_6: 
..... done
[head-amd64-default-job-06] |   |   `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-06] |   |   `-- Extracting libXau-1.0.8_3: .......... 
done
[head-amd64-default-job-06] |   | `-- Extracting libxcb-1.11.1: .......... done
[head-amd64-default-job-06] |   `-- Extracting libX11-1.6.3,1: .......... done
[head-amd64-default-job-06] `-- Extracting libXrender-0.9.9: .......... done
[head-amd64-default-job-06] `-- Installing libXrandr-1.5.0...
[head-amd64-default-job-06] |   `-- Installing randrproto-1.5.0...
[head-amd64-default-job-06] |   `-- Extracting randrproto-1.5.0: .... done
[head-amd64-default-job-06] |   `-- Installing libXext-1.3.3_1,1...
[head-amd64-default-job-06] |   | `-- Installing xextproto-7.3.0...
[head-amd64-default-job-06] |   | `-- Extracting xextproto-7.3.0: .......... 
done
[head-amd64-default-job-06] |   `-- Extracting libXext-1.3.3_1,1: .......... 
done
[head-amd64-default-job-06] `-- Extracting libXrandr-1.5.0: .......... done
[head-amd64-default-job-06] `-- Installing libGLU-9.0.0_2...
[head-amd64-default-job-06] |   `-- Installing libGL-11.0.8...
[head-amd64-default-job-06] |   | `-- Installing expat-2.1.0_3...
[head-amd64-default-job-06] |   | `-- Extracting expat-2.1.0_3: .......... done
[head-amd64-default-job-06] |   | `-- Installing dri2proto-2.8...
[head-amd64-default-job-06] |   | `-- Extracting dri2proto-2.8: .... done
[head-amd64-default-job-06] |   | `-- Installing libXdamage-1.1.4_3...
[head-amd64-default-job-06] |   |   `-- Installing libXfixes-5.0.1_3...
[head-amd64-default-job-06] |   |   | `-- Installing fixesproto-5.0...
[head-amd64-default-job-06] |   |   | `-- Extracting fixesproto-5.0: .... done
[head-amd64-default-job-06] |   |   `-- Extracting libXfixes-5.0.1_3: 
.......... done
[head-amd64-default-job-06] |   |   `-- Installing damageproto-1.2.1...
[head-amd64-default-job-06] |   |   `-- Extracting damageproto-1.2.1: .... done
[head-amd64-default-job-06] |   | `-- Extracting libXdamage-1.1.4_3: ...... done
[head-amd64-default-job-06] |   | `-- Installing libdevq-0.0.2_1...
[head-amd64-default-job-06] |   | `-- Extracting libdevq-0.0.2_1: ..... done
[head-amd64-default-job-06] |   | `-- Installing libXxf86vm-1.1.4_1...
[head-amd64-default-job-06] |   |   `-- Installing xf86vidmodeproto-2.3.1...
[head-amd64-default-job-06] |   |   `-- Extracting xf86vidmodeproto-2.3.1: .... 
done
[head-amd64-default-job-06] |   | `-- Extracting libXxf86vm-1.1.4_1: .......... 
done
[head-amd64-default-job-06] |   | `-- Installing libdrm-2.4.66,1...
[head-amd64-default-job-06] |   |   `-- Installing libpciaccess-0.13.4...
[head-amd64-default-job-06] |   |   | `-- Installing pciids-20160116...
[head-amd64-default-job-06] |   |   | `-- Extracting pciids-20160116: ...... 
done
[head-amd64-default-job-06] |   |   `-- Extracting libpciaccess-0.13.4: ...... 
done
[head-amd64-default-job-06] |   | `-- Extracting libdrm-2.4.66,1: .......... 
done
[head-amd64-default-job-06] |   | `-- Installing libxshmfence-1.2...
[head-amd64-default-job-06] |   | `-- Extracting libxshmfence-1.2: ......... 
done
[head-amd64-default-job-06] |   | `-- Installing libglapi-11.0.8...
[head-amd64-default-job-06] |   |   `-- Installing libXvMC-1.0.9...
[head-amd64-default-job-06] |   |   | `-- Installing libXv-1.0.10_3,1...
[head-amd64-default-job-06] |   |   |   `-- Installing videoproto-2.3.2...
[head-amd64-default-job-06] |   |   |   `-- Extracting videoproto-2.3.2: ...... 
done
[head-amd64-default-job-06] |   |   | `-- Extracting libXv-1.0.10_3,1: 
.......... done
[head-amd64-default-job-06] |   |   `-- Extracting libXvMC-1.0.9: .......... 
done
[head-amd64-default-job-06] |   | `-- Extracting libglapi-11.0.8: ... done
[head-amd64-default-job-06] |   `-- Extracting libGL-11.0.8: .......... done
[head-amd64-default-job-06] `-- Extracting libGLU-9.0.0_2: ...... done
[head-amd64-default-job-06] `-- Installing aalib-1.4.r5_11...
[head-amd64-default-job-06] |   `-- Installing indexinfo-0.2.4...
[head-amd64-default-job-06] |   `-- Extracting indexinfo-0.2.4: .... done
[head-amd64-default-job-06] `-- Extracting aalib-1.4.r5_11: .......... done
[head-amd64-default-job-06] Extracting sdl-1.2.15_7,2: .......... done
Message from sdl-1.2.15_7,2:
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   pwcbsd-1.4.1_12 depends on file: /usr/local/bin/sdl-config - found
===>   Returning to build of pwcbsd-1.4.1_12
===========================================================================
=======================<phase: lib-depends    >============================
===>   pwcbsd-1.4.1_12 depends on shared library: libSDL.so - found 
(/usr/local/lib/libSDL.so)
===>   pwcbsd-1.4.1_12 depends on shared library: libjpeg.so - not found
===>   Installing existing package /packages/All/jpeg-turbo-1.4.2.txz
[head-amd64-default-job-06] Installing jpeg-turbo-1.4.2...
[head-amd64-default-job-06] Extracting jpeg-turbo-1.4.2: .......... done
===>   pwcbsd-1.4.1_12 depends on shared library: libjpeg.so - found 
(/usr/local/lib/libjpeg.so)
===>   Returning to build of pwcbsd-1.4.1_12
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for pwcbsd-1.4.1_12
===========================================================================
=======================<phase: build          >============================
===>  Building for pwcbsd-1.4.1_12
/usr/bin/make -f Makefile.kld all
machine -> /usr/src/sys/amd64/include
x86 -> /usr/src/sys/x86/include
Warning: Object directory not changed from original 
/wrkdirs/usr/ports/multimedia/pwcbsd/work/pwcbsd
cc -O2 -pipe -fno-strict-aliasing  -Werror -D_KERNEL -DKLD_MODULE -nostdinc   
-I. -I/usr/src/sys -fno-common  -fno-omit-frame-pointer 
-mno-omit-leaf-frame-pointer  -mcmodel=kernel -mno-red-zone -mno-mmx -mno-sse 
-msoft-float  -fno-asynchronous-unwind-tables -ffreestanding -fwrapv 
-fstack-protector -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes  
-Wmissing-prototypes -Wpointer-arith -Winline -Wcast-qual  -Wundef 
-Wno-pointer-sign -D__printf__=__freebsd_kprintf__  -Wmissing-include-dirs 
-fdiagnostics-show-option  -Wno-unknown-pragmas  
-Wno-error-tautological-compare -Wno-error-empty-body  
-Wno-error-parentheses-equality -Wno-error-unused-function  
-Wno-error-pointer-sign -Wno-error-shift-negative-value  -mno-aes -mno-avx  
-std=iso9899:1999 -c pwc.c -o pwc.o
In file included from pwc.c:27:
In file included from ./pwc.h:33:
/usr/src/sys/sys/bus.h:659:10: fatal error: 'device_if.h' file not found
#include "device_if.h"
         ^
1 error generated.
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/multimedia/pwcbsd/work/pwcbsd
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/multimedia/pwcbsd/work/pwcbsd
*** Error code 1

Stop.
make: stopped in /usr/ports/multimedia/pwcbsd
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to